Bug 244982 - critical patches from Richard Hughes
critical patches from Richard Hughes
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gnome-power-manager (Show other bugs)
5.0
All Linux
low Severity low
: ---
: ---
Assigned To: Richard Hughes
Cameron Meadors
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-20 08:04 EDT by Florian La Roche
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version: RHBA-2007-0633
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 12:56:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gpm patches (126.92 KB, patch)
2007-06-20 08:06 EDT, Florian La Roche
no flags Details | Diff
test srpm (1.98 MB, application/x-rpm)
2007-06-26 05:32 EDT, Richard Hughes
no flags Details

  None (edit)
Description Florian La Roche 2007-06-20 08:04:56 EDT
Description of problem:

Richard Hughes has created 10 very small and safe patches for
gnome-power-manager that should go into our RHEL5.1 update
release.


Information on these patches:

Here is a list of suggested backports from 2.16.4 for RHEL 5.1:

gnome-power-manager-2.16.0-dont-leak-icon-memory.patch
Description:    The allocated memory was stored in a const char variable
                which meant that every time the icon changed we leaked
                about 15 bytes of memory.
Importance:     High
Risk:           Low

gnome-power-manager-2.16.0-dont-leak-memory-on-hal-restart.patch
Description:    We were not clearing the devices when HAL restarted
                resulting in duplicate devices on restart.
Importance:     Low
Risk:           Pretty low

gnome-power-manager-2.16.0-dont-leak-stats-memory-on-exit.patch
Description:    Due to a typo we were not freeing stats memory when
                the module was unloaded.
Importance:     Low
Risk:           Low

gnome-power-manager-2.16.0-dont-mark-battery-charged-at-zero-percent.patch
Description:    Some batteries are crazy and report themselves charged
                at zero percent charge, or momentarily report zero when
                the charge status changes (Sony laptops?).
Importance:     Medium
Risk:           Low

gnome-power-manager-2.16.0-dont-mark-widget-prefixes-translatable.patch
Description:    On any non English local the information tool was
                crashing as the widget names were partially translated.
Importance:     High
Risk:           Low

gnome-power-manager-2.16.0-dont-segfault-if-widget-name-missing.patch
Description:    Don't segfault if the widget name is not present, which
                fixes a bug if an old glade file is loaded.
Importance:     Medium
Risk:           Low

gnome-power-manager-2.16.0-add-battery-to-create-device.patch
Description:    Allocates device rather than just watches for changes
Importance:     Low
Risk:           Pretty low

gnome-power-manager-2.16.0-dont-show-error-on-long-hibernate.patch
Description:    Don't show the "your computer failed to hibernate"
                when the hibernation period is very long, and the DBUS
                request times out.
Importance:     Medium
Risk:           Low.

gnome-power-manager-2.16.0-emit-signal-so-battery-remove-detected.patch
Description:    Emit a signal so the UI knows the battery has been
                removed, and can update before a timeout.
Importance:     Low
Risk:           Pretty low

gnome-power-manager-2.16.0-fix-macbook-pro-dimming.patch
Description:    Fix the macbook pro dimming controls; macbook hardware
                has an insane number of brightness levels and we have
                to step an integer number of these to avoid causing
                lots of CPU load every time we change brightness
Importance:     Medium
Risk:           Low

gnome-power-manager-2.16.0-make-compatible-with-latest-hal-api.patch
Description:    Add to the string comparisons so that a new version
                of hal can be used with an old g-p-m.
Importance:     Medium
Risk:           Low

gnome-power-manager-2.16.0-translations-update.patch
Description:    Updates all the translations to what 2.16.4 has.
                This also includes quite a few new languages.
Importance:     Medium
Risk:           Medium

I hope some of these are useful. David, can you ack/nak some of these
and then I'll add these to a srpm. I've attached all the patches for
review, although all have been upstream in 2-16 for many months.






Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Florian La Roche 2007-06-20 08:06:11 EDT
Created attachment 157452 [details]
gpm patches

gpm patches from Richard
Comment 2 RHEL Product and Program Management 2007-06-20 08:24:19 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Richard Hughes 2007-06-26 05:32:25 EDT
Created attachment 157860 [details]
test srpm

This is a srpm that contains all the patches, and one additional fix:

gnome-power-manager-2.16.0-fix-build-newer-docutils.patch

Which allows gnome-power-manager 2.16.x to build with a new version of
docutils. I'll try to get this build with brew today and then we can get
testing.
Comment 4 David Zeuthen 2007-06-27 13:24:18 EDT
Appears this is in 2.16.0-8.el5
Comment 6 Cameron Meadors 2007-09-13 11:31:24 EDT
Tested everything I can with the hardware I have.  Everything I tested worked
without any new problems.
Comment 8 errata-xmlrpc 2007-11-07 12:56:47 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0633.html

Note You need to log in before you can comment on or make changes to this bug.